llvm.org GIT mirror llvm / 22177fe
For PR540: * Add check for pthread.h * Make sure -lpthread gets added to LIBS if its available git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@22402 91177308-0d34-0410-b5e6-96231b3b80d8 Reid Spencer 15 years ago
2 changed file(s) with 261 addition(s) and 36 deletion(s). Raw diff Collapse all Expand all
17731773 ;;
17741774 esac
17751775
1776 case $target in
1777 sparc*-*-solaris*) target=sparcv9-sun-solaris2.8
1778
1779 ;;
1780 esac
1781
17821776 echo "$as_me:$LINENO: checking target architecture" >&5
17831777 echo $ECHO_N "checking target architecture... $ECHO_C" >&6
17841778 if test "${llvm_cv_target_arch+set}" = set; then
82348228 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
82358229 lt_status=$lt_dlunknown
82368230 cat > conftest.$ac_ext <
8237 #line 8238 "configure"
8231 #line 8232 "configure"
82388232 #include "confdefs.h"
82398233
82408234 #if HAVE_DLFCN_H
1022510219 ;;
1022610220 *-*-irix6*)
1022710221 # Find out which ABI we are using.
10228 echo '#line 10229 "configure"' > conftest.$ac_ext
10222 echo '#line 10223 "configure"' > conftest.$ac_ext
1022910223 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1023010224 (eval $ac_compile) 2>&5
1023110225 ac_status=$?
1071010704
1071110705
1071210706 # Provide some information about the compiler.
10713 echo "$as_me:10714:" \
10707 echo "$as_me:10708:" \
1071410708 "checking for Fortran 77 compiler version" >&5
1071510709 ac_compiler=`set X $ac_compile; echo $2`
1071610710 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version &5\"") >&5
1176711761 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1176811762 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1176911763 -e 's:$: $lt_compiler_flag:'`
11770 (eval echo "\"\$as_me:11771: $lt_compile\"" >&5)
11764 (eval echo "\"\$as_me:11765: $lt_compile\"" >&5)
1177111765 (eval "$lt_compile" 2>conftest.err)
1177211766 ac_status=$?
1177311767 cat conftest.err >&5
11774 echo "$as_me:11775: \$? = $ac_status" >&5
11768 echo "$as_me:11769: \$? = $ac_status" >&5
1177511769 if (exit $ac_status) && test -s "$ac_outfile"; then
1177611770 # The compiler can only warn and ignore the option if not recognized
1177711771 # So say no if there are warnings
1201012004 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1201112005 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1201212006 -e 's:$: $lt_compiler_flag:'`
12013 (eval echo "\"\$as_me:12014: $lt_compile\"" >&5)
12007 (eval echo "\"\$as_me:12008: $lt_compile\"" >&5)
1201412008 (eval "$lt_compile" 2>conftest.err)
1201512009 ac_status=$?
1201612010 cat conftest.err >&5
12017 echo "$as_me:12018: \$? = $ac_status" >&5
12011 echo "$as_me:12012: \$? = $ac_status" >&5
1201812012 if (exit $ac_status) && test -s "$ac_outfile"; then
1201912013 # The compiler can only warn and ignore the option if not recognized
1202012014 # So say no if there are warnings
1207012064 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1207112065 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1207212066 -e 's:$: $lt_compiler_flag:'`
12073 (eval echo "\"\$as_me:12074: $lt_compile\"" >&5)
12067 (eval echo "\"\$as_me:12068: $lt_compile\"" >&5)
1207412068 (eval "$lt_compile" 2>out/conftest.err)
1207512069 ac_status=$?
1207612070 cat out/conftest.err >&5
12077 echo "$as_me:12078: \$? = $ac_status" >&5
12071 echo "$as_me:12072: \$? = $ac_status" >&5
1207812072 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1207912073 then
1208012074 # The compiler can only warn and ignore the option if not recognized
1425514249 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1425614250 lt_status=$lt_dlunknown
1425714251 cat > conftest.$ac_ext <
14258 #line 14259 "configure"
14252 #line 14253 "configure"
1425914253 #include "confdefs.h"
1426014254
1426114255 #if HAVE_DLFCN_H
1435314347 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1435414348 lt_status=$lt_dlunknown
1435514349 cat > conftest.$ac_ext <
14356 #line 14357 "configure"
14350 #line 14351 "configure"
1435714351 #include "confdefs.h"
1435814352
1435914353 #if HAVE_DLFCN_H
1654616540 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1654716541 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1654816542 -e 's:$: $lt_compiler_flag:'`
16549 (eval echo "\"\$as_me:16550: $lt_compile\"" >&5)
16543 (eval echo "\"\$as_me:16544: $lt_compile\"" >&5)
1655016544 (eval "$lt_compile" 2>conftest.err)
1655116545 ac_status=$?
1655216546 cat conftest.err >&5
16553 echo "$as_me:16554: \$? = $ac_status" >&5
16547 echo "$as_me:16548: \$? = $ac_status" >&5
1655416548 if (exit $ac_status) && test -s "$ac_outfile"; then
1655516549 # The compiler can only warn and ignore the option if not recognized
1655616550 # So say no if there are warnings
1660616600 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1660716601 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1660816602 -e 's:$: $lt_compiler_flag:'`
16609 (eval echo "\"\$as_me:16610: $lt_compile\"" >&5)
16603 (eval echo "\"\$as_me:16604: $lt_compile\"" >&5)
1661016604 (eval "$lt_compile" 2>out/conftest.err)
1661116605 ac_status=$?
1661216606 cat out/conftest.err >&5
16613 echo "$as_me:16614: \$? = $ac_status" >&5
16607 echo "$as_me:16608: \$? = $ac_status" >&5
1661416608 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1661516609 then
1661616610 # The compiler can only warn and ignore the option if not recognized
1796717961 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1796817962 lt_status=$lt_dlunknown
1796917963 cat > conftest.$ac_ext <
17970 #line 17971 "configure"
17964 #line 17965 "configure"
1797117965 #include "confdefs.h"
1797217966
1797317967 #if HAVE_DLFCN_H
1806518059 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1806618060 lt_status=$lt_dlunknown
1806718061 cat > conftest.$ac_ext <
18068 #line 18069 "configure"
18062 #line 18063 "configure"
1806918063 #include "confdefs.h"
1807018064
1807118065 #if HAVE_DLFCN_H
1890218896 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1890318897 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1890418898 -e 's:$: $lt_compiler_flag:'`
18905 (eval echo "\"\$as_me:18906: $lt_compile\"" >&5)
18899 (eval echo "\"\$as_me:18900: $lt_compile\"" >&5)
1890618900 (eval "$lt_compile" 2>conftest.err)
1890718901 ac_status=$?
1890818902 cat conftest.err >&5
18909 echo "$as_me:18910: \$? = $ac_status" >&5
18903 echo "$as_me:18904: \$? = $ac_status" >&5
1891018904 if (exit $ac_status) && test -s "$ac_outfile"; then
1891118905 # The compiler can only warn and ignore the option if not recognized
1891218906 # So say no if there are warnings
1896218956 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1896318957 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1896418958 -e 's:$: $lt_compiler_flag:'`
18965 (eval echo "\"\$as_me:18966: $lt_compile\"" >&5)
18959 (eval echo "\"\$as_me:18960: $lt_compile\"" >&5)
1896618960 (eval "$lt_compile" 2>out/conftest.err)
1896718961 ac_status=$?
1896818962 cat out/conftest.err >&5
18969 echo "$as_me:18970: \$? = $ac_status" >&5
18963 echo "$as_me:18964: \$? = $ac_status" >&5
1897018964 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1897118965 then
1897218966 # The compiler can only warn and ignore the option if not recognized
2100120995 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2100220996 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2100320997 -e 's:$: $lt_compiler_flag:'`
21004 (eval echo "\"\$as_me:21005: $lt_compile\"" >&5)
20998 (eval echo "\"\$as_me:20999: $lt_compile\"" >&5)
2100520999 (eval "$lt_compile" 2>conftest.err)
2100621000 ac_status=$?
2100721001 cat conftest.err >&5
21008 echo "$as_me:21009: \$? = $ac_status" >&5
21002 echo "$as_me:21003: \$? = $ac_status" >&5
2100921003 if (exit $ac_status) && test -s "$ac_outfile"; then
2101021004 # The compiler can only warn and ignore the option if not recognized
2101121005 # So say no if there are warnings
2124421238 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2124521239 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2124621240 -e 's:$: $lt_compiler_flag:'`
21247 (eval echo "\"\$as_me:21248: $lt_compile\"" >&5)
21241 (eval echo "\"\$as_me:21242: $lt_compile\"" >&5)
2124821242 (eval "$lt_compile" 2>conftest.err)
2124921243 ac_status=$?
2125021244 cat conftest.err >&5
21251 echo "$as_me:21252: \$? = $ac_status" >&5
21245 echo "$as_me:21246: \$? = $ac_status" >&5
2125221246 if (exit $ac_status) && test -s "$ac_outfile"; then
2125321247 # The compiler can only warn and ignore the option if not recognized
2125421248 # So say no if there are warnings
2130421298 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2130521299 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2130621300 -e 's:$: $lt_compiler_flag:'`
21307 (eval echo "\"\$as_me:21308: $lt_compile\"" >&5)
21301 (eval echo "\"\$as_me:21302: $lt_compile\"" >&5)
2130821302 (eval "$lt_compile" 2>out/conftest.err)
2130921303 ac_status=$?
2131021304 cat out/conftest.err >&5
21311 echo "$as_me:21312: \$? = $ac_status" >&5
21305 echo "$as_me:21306: \$? = $ac_status" >&5
2131221306 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2131321307 then
2131421308 # The compiler can only warn and ignore the option if not recognized
2348923483 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
2349023484 lt_status=$lt_dlunknown
2349123485 cat > conftest.$ac_ext <
23492 #line 23493 "configure"
23486 #line 23487 "configure"
2349323487 #include "confdefs.h"
2349423488
2349523489 #if HAVE_DLFCN_H
2358723581 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
2358823582 lt_status=$lt_dlunknown
2358923583 cat > conftest.$ac_ext <
23590 #line 23591 "configure"
23584 #line 23585 "configure"
2359123585 #include "confdefs.h"
2359223586
2359323587 #if HAVE_DLFCN_H
2483824832 fi
2483924833
2484024834
24835
2484124836 echo "$as_me:$LINENO: checking for library containing lt_dlopen" >&5
2484224837 echo $ECHO_N "checking for library containing lt_dlopen... $ECHO_C" >&6
2484324838 if test "${ac_cv_search_lt_dlopen+set}" = set; then
2523825233
2523925234 fi
2524025235
25236
25237
25238 echo "$as_me:$LINENO: checking for pthread_mutex_init in -lpthread" >&5
25239 echo $ECHO_N "checking for pthread_mutex_init in -lpthread... $ECHO_C" >&6
25240 if test "${ac_cv_lib_pthread_pthread_mutex_init+set}" = set; then
25241 echo $ECHO_N "(cached) $ECHO_C" >&6
25242 else
25243 ac_check_lib_save_LIBS=$LIBS
25244 LIBS="-lpthread $LIBS"
25245 cat >conftest.$ac_ext <<_ACEOF
25246 /* confdefs.h. */
25247 _ACEOF
25248 cat confdefs.h >>conftest.$ac_ext
25249 cat >>conftest.$ac_ext <<_ACEOF
25250 /* end confdefs.h. */
25251
25252 /* Override any gcc2 internal prototype to avoid an error. */
25253 #ifdef __cplusplus
25254 extern "C"
25255 #endif
25256 /* We use char because int might match the return type of a gcc2
25257 builtin and then its argument prototype would still apply. */
25258 char pthread_mutex_init ();
25259 int
25260 main ()
25261 {
25262 pthread_mutex_init ();
25263 ;
25264 return 0;
25265 }
25266 _ACEOF
25267 rm -f conftest.$ac_objext conftest$ac_exeext
25268 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
25269 (eval $ac_link) 2>conftest.er1
25270 ac_status=$?
25271 grep -v '^ *+' conftest.er1 >conftest.err
25272 rm -f conftest.er1
25273 cat conftest.err >&5
25274 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25275 (exit $ac_status); } &&
25276 { ac_try='test -z "$ac_c_werror_flag"
25277 || test ! -s conftest.err'
25278 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25279 (eval $ac_try) 2>&5
25280 ac_status=$?
25281 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25282 (exit $ac_status); }; } &&
25283 { ac_try='test -s conftest$ac_exeext'
25284 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25285 (eval $ac_try) 2>&5
25286 ac_status=$?
25287 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25288 (exit $ac_status); }; }; then
25289 ac_cv_lib_pthread_pthread_mutex_init=yes
25290 else
25291 echo "$as_me: failed program was:" >&5
25292 sed 's/^/| /' conftest.$ac_ext >&5
25293
25294 ac_cv_lib_pthread_pthread_mutex_init=no
25295 fi
25296 rm -f conftest.err conftest.$ac_objext \
25297 conftest$ac_exeext conftest.$ac_ext
25298 LIBS=$ac_check_lib_save_LIBS
25299 fi
25300 echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_mutex_init" >&5
25301 echo "${ECHO_T}$ac_cv_lib_pthread_pthread_mutex_init" >&6
25302 if test $ac_cv_lib_pthread_pthread_mutex_init = yes; then
25303 cat >>confdefs.h <<_ACEOF
25304 #define HAVE_LIBPTHREAD 1
25305 _ACEOF
25306
25307 LIBS="-lpthread $LIBS"
25308
25309 fi
2524125310
2524225311 echo "$as_me:$LINENO: checking for library containing pthread_mutex_lock" >&5
2524325312 echo $ECHO_N "checking for library containing pthread_mutex_lock... $ECHO_C" >&6
2629926368
2630026369
2630126370
26302 for ac_header in malloc.h signal.h stdint.h unistd.h utime.h windows.h
26371 for ac_header in malloc.h pthread.h signal.h stdint.h unistd.h utime.h
26372 do
26373 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
26374 if eval "test \"\${$as_ac_Header+set}\" = set"; then
26375 echo "$as_me:$LINENO: checking for $ac_header" >&5
26376 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
26377 if eval "test \"\${$as_ac_Header+set}\" = set"; then
26378 echo $ECHO_N "(cached) $ECHO_C" >&6
26379 fi
26380 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
26381 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
26382 else
26383 # Is the header compilable?
26384 echo "$as_me:$LINENO: checking $ac_header usability" >&5
26385 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
26386 cat >conftest.$ac_ext <<_ACEOF
26387 /* confdefs.h. */
26388 _ACEOF
26389 cat confdefs.h >>conftest.$ac_ext
26390 cat >>conftest.$ac_ext <<_ACEOF
26391 /* end confdefs.h. */
26392 $ac_includes_default
26393 #include <$ac_header>
26394 _ACEOF
26395 rm -f conftest.$ac_objext
26396 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
26397 (eval $ac_compile) 2>conftest.er1
26398 ac_status=$?
26399 grep -v '^ *+' conftest.er1 >conftest.err
26400 rm -f conftest.er1
26401 cat conftest.err >&5
26402 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26403 (exit $ac_status); } &&
26404 { ac_try='test -z "$ac_c_werror_flag"
26405 || test ! -s conftest.err'
26406 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
26407 (eval $ac_try) 2>&5
26408 ac_status=$?
26409 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26410 (exit $ac_status); }; } &&
26411 { ac_try='test -s conftest.$ac_objext'
26412 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
26413 (eval $ac_try) 2>&5
26414 ac_status=$?
26415 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26416 (exit $ac_status); }; }; then
26417 ac_header_compiler=yes
26418 else
26419 echo "$as_me: failed program was:" >&5
26420 sed 's/^/| /' conftest.$ac_ext >&5
26421
26422 ac_header_compiler=no
26423 fi
26424 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
26425 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
26426 echo "${ECHO_T}$ac_header_compiler" >&6
26427
26428 # Is the header present?
26429 echo "$as_me:$LINENO: checking $ac_header presence" >&5
26430 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
26431 cat >conftest.$ac_ext <<_ACEOF
26432 /* confdefs.h. */
26433 _ACEOF
26434 cat confdefs.h >>conftest.$ac_ext
26435 cat >>conftest.$ac_ext <<_ACEOF
26436 /* end confdefs.h. */
26437 #include <$ac_header>
26438 _ACEOF
26439 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
26440 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
26441 ac_status=$?
26442 grep -v '^ *+' conftest.er1 >conftest.err
26443 rm -f conftest.er1
26444 cat conftest.err >&5
26445 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26446 (exit $ac_status); } >/dev/null; then
26447 if test -s conftest.err; then
26448 ac_cpp_err=$ac_c_preproc_warn_flag
26449 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
26450 else
26451 ac_cpp_err=
26452 fi
26453 else
26454 ac_cpp_err=yes
26455 fi
26456 if test -z "$ac_cpp_err"; then
26457 ac_header_preproc=yes
26458 else
26459 echo "$as_me: failed program was:" >&5
26460 sed 's/^/| /' conftest.$ac_ext >&5
26461
26462 ac_header_preproc=no
26463 fi
26464 rm -f conftest.err conftest.$ac_ext
26465 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
26466 echo "${ECHO_T}$ac_header_preproc" >&6
26467
26468 # So? What about this header?
26469 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
26470 yes:no: )
26471 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
26472 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
26473 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
26474 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
26475 ac_header_preproc=yes
26476 ;;
26477 no:yes:* )
26478 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
26479 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
26480 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
26481 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
26482 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
26483 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
26484 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
26485 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
26486 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
26487 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
26488 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
26489 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
26490 (
26491 cat <<\_ASBOX
26492 ## ----------------------------------- ##
26493 ## Report this to llvmbugs@cs.uiuc.edu ##
26494 ## ----------------------------------- ##
26495 _ASBOX
26496 ) |
26497 sed "s/^/$as_me: WARNING: /" >&2
26498 ;;
26499 esac
26500 echo "$as_me:$LINENO: checking for $ac_header" >&5
26501 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
26502 if eval "test \"\${$as_ac_Header+set}\" = set"; then
26503 echo $ECHO_N "(cached) $ECHO_C" >&6
26504 else
26505 eval "$as_ac_Header=\$ac_header_preproc"
26506 fi
26507 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
26508 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
26509
26510 fi
26511 if test `eval echo '${'$as_ac_Header'}'` = yes; then
26512 cat >>confdefs.h <<_ACEOF
26513 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
26514 _ACEOF
26515
26516 fi
26517
26518 done
26519
26520
26521 for ac_header in windows.h
2630326522 do
2630426523 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
2630526524 if eval "test \"\${$as_ac_Header+set}\" = set"; then
149149
150150 /* Define to 1 if you have the `elf' library (-lelf). */
151151 #undef HAVE_LIBELF
152
153 /* Define to 1 if you have the `pthread' library (-lpthread). */
154 #undef HAVE_LIBPTHREAD
152155
153156 /* Define to 1 if you have the header file. */
154157 #undef HAVE_LIMITS_H
214217
215218 /* Define to have the %a format string */
216219 #undef HAVE_PRINTF_A
220
221 /* Define to 1 if you have the header file. */
222 #undef HAVE_PTHREAD_H
217223
218224 /* Have pthread_mutex_lock */
219225 #undef HAVE_PTHREAD_MUTEX_LOCK